% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/nested.cis_240708.R
\name{glmnetr.cis}
\alias{glmnetr.cis}
\title{A redirect to nested.cis()}
\usage{
glmnetr.cis(object, type = "devrat", pow = 1, digits = 4, returnd = 0)
}
\arguments{
\item{object}{A nested.glmnetr output object.}

\item{type}{determines what type of nested cross validation performance measures are 
compared.  Possible values are "devrat" to compare the deviance ratios, i.e. the 
fractional reduction in deviance relative to the null model deviance, 
"agree" to compare agreement, "lincal" to compare the linear calibration 
slope coefficients, "intcal" to compare the linear calibration intercept 
coefficients, from the nested cross validation.}

\item{pow}{the power to which the average of correlations is to be raised.  Only 
applies to the "gaussian" model.  Default is 2 to yield R-square but can be on to 
show correlations.  pow is ignored for the family of "cox" and "binomial".  When
pow = 2, calculations are made using correlations and the final estimates and 
confidence intervals are raised to the power of 2.  A negative sign before an 
R-square estimate or confidence limit indicates the estimate or confidence 
limit was negative before being raised to the power of 2.}

\item{digits}{digits for printing of z-scores, p-values, etc. with default of 4}

\item{returnd}{1 to return the deviance ratios in a list, 0 to not return.  The
deviances are stored in the nested.glmnetr() output object but not the deviance
ratios.  This function provides a simple mechanism to obtain the cross validated
deviance ratios.}
}
\value{
A printout to the R console
}
\description{
See nested.cis(), glmnetr.cis() is depricated
}
